Bug 832692 - vim-enhanced now conflicts with vim-minimal
vim-enhanced now conflicts with vim-minimal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 12:06 EDT by Mats Wichmann
Modified: 2013-02-13 10:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:33:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mats Wichmann 2012-06-16 12:06:03 EDT
During package update:

Transaction Check Error:
  file /usr/bin/ex from install of vim-enhanced-2:7.3.515-2.fc16.x86_64 conflicts with file from package vim-minimal-2:7.3.515-2.fc16.x86_64


vim-minimal has some interesting dependencies (like sudo and libguestfs) and vim-enhanced actually contains the vim binary so it's not possible to work around this without losing something....
Comment 1 Karsten Hopp 2012-06-18 09:56:12 EDT
How are you trying to update vim ? You need to update vim-enhanced and vim-minimal with the same transaction like 

'rpm -Uvh vim-enhanced-7.3.515-2.fc16.x86_64.rpm vim-minimal-7.3.515-2.fc16.x86_64.rpm' or
'yum update vim-enhanced vim-minimal'

Something like
'rpm -Uvh vim-enhanced-7.3.515-2.fc16.x86_64.rpm
 rpm -Uvh vim-minimal-7.3.515-2.fc16.x86_64.rpm'
won't work.

I'm asking because vim-minimal doesn't have /usr/bin/ex:

>rpm -qpl vim-enhanced-7.3.515-2.fc16.x86_64.rpm | grep ex
/usr/bin/ex

>rpm -qpl vim-minimal-7.3.515-2.fc16.x86_64.rpm  | grep ex
/bin/ex
Comment 2 Mats Wichmann 2012-06-18 10:51:23 EDT
The original instance came from a general "yum update" so yes, single transaction.  Those conditions no longer exist now, as I removed vim-enhanced to let the rest of the update proceed.

Now vim-enhanced cannot be installed:

================================================================================
 Package             Arch          Version                 Repository      Size
================================================================================
Installing:
 vim-enhanced        x86_64        2:7.3.515-2.fc16        updates        949 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 949 k
Installed size: 2.0 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/ex from install of vim-enhanced-2:7.3.515-2.fc16.x86_64 conflicts with file from package vim-minimal-2:7.3.515-2.fc16.x86_64


It's interesting, vim-minimal has ex as /bin/ex, yet the conflict complaint is about /usr/bin/ex???

[mats@milou ~]$ rpm -q vim-minimal
vim-minimal-7.3.515-2.fc16.x86_64
[mats@milou ~]$ rpm -ql vim-minimal
/bin/ex
/bin/rvi
/bin/rview
/bin/vi
/bin/view
/etc/virc
Comment 3 Fedora End Of Life 2013-01-16 09:29:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 10:33:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.